/*
 *  Description:  Headerfile for arg_weier.c and get_weier.c.
 *                This headerfile contains prototypes for functions
 *                that are used in arg_weier.c and defined in get_weier.c.
 *
 *  Author:       Christian Teitzel
 *                Institut fuer Angewandte Mathematik
 *                der Universitaet Bonn
 *                Sonderforschungsbereich 256
 *                Wegelerstr. 6
 *                5300 Bonn 1
 *
 *  Copyright (c) 1993 SFB256
 *
 *  History:      April 26th, 93  (ct)
 *                  created
 *                May 4th, 93  (ct)
 *                  now jd_prim and gp_prim are correct for all tori
 *                November 12th, 93 (ct)
 *                  added prototypes for different kinds of
 *                  integration routines
 */

#ifndef __ARG_WEIER_H
#define __ARG_WEIER_H

/*
 *  prototypes for elliptic functions
 */

COMPLEX jd ANSI_PARM((COMPLEX, double, double));
COMPLEX je ANSI_PARM((COMPLEX, COMPLEX));
COMPLEX jf ANSI_PARM((COMPLEX, COMPLEX));
COMPLEX gp ANSI_PARM((COMPLEX, double, double));
COMPLEX jd_prim ANSI_PARM((COMPLEX, COMPLEX));
COMPLEX gp_prim ANSI_PARM((COMPLEX, COMPLEX));

/*
 *  prototypes for global functions (g, f)
 */

COMPLEX id ANSI_PARM((COMPLEX z));
COMPLEX const1 ANSI_PARM((COMPLEX z));
COMPLEX const0 ANSI_PARM((COMPLEX z));

/*
 *  prototype for integrate()
 */

COMPLEX integrate ANSI_PARM((COMPLEX (*)(COMPLEX), COMPLEX, COMPLEX));
COMPLEX integrate1 ANSI_PARM((COMPLEX (*)(COMPLEX), COMPLEX, COMPLEX));
COMPLEX integrate2 ANSI_PARM((COMPLEX (*)(COMPLEX), COMPLEX, COMPLEX));
COMPLEX integrate3 ANSI_PARM((COMPLEX (*)(COMPLEX), COMPLEX, COMPLEX));

#endif
