/* grape-methode "get-info"
 *
 * Call              : GRAPE(time_curve, "get-info")();
 *
 * Parameters        : TIME_CURVE *time_curve
 *
 * Description       : Create an info list for a Time_Curve instance.
 *                     Added to the superclass information are number
 *                     and maximum number of points.
 *
 * Author            : Bernd Oberknapp
 *
 * Copyright (c) 1992  by Universitaet Bonn
 *                        Institut fuer Angewandte Mathematik
 *                        Sonderforschungsbereich 256
 *                        D-53115 Bonn
 */

#include <grape.h>
#include "curve.h"


TIME_CURVE *time_curve_get_info(XLIST *list)
{
  TIME_CURVE *self;
  char str[MAX_STRLEN];
  TIMESTEP *geom;

  self = (TIME_CURVE *)START_METHOD(G_INSTANCE);
  ASSURE(self, "", END_METHOD(NULL));

  GRAPE(self, "^get-info")(list);

  if(self->geometry &&
     (geom = (TIMESTEP *)self->geometry->object)) {
    sprintf(str, "number_of_points    : %d",
	    ((TRIANG1D *)geom->post_object)->number_of_points);
    GRAPE(list, "add-to-list")(str);
    sprintf(str, "max_number_of_points: %d",
	    ((TRIANG1D *)geom->post_object)->max_number_of_points);
    GRAPE(list, "add-to-list")(str);
    sprintf(str, "discretization      : %d",
	    self->curve_parm->num_of_points);
    GRAPE(list, "add-to-list")(str);
  }

  END_METHOD(self);
}
