#include <grape.h>
#include "curve.h"

    
/* grape-method "get-extension"
 *
 * Call              : ext = GRAPE(time_curve, "get-extension")()
 *
 * Parameters        : TIME_CURVE *time_curve
 *
 * Return value      : char *ext
 *
 * Description       : Return wildcard for input files for class Time_Curve.
 *                     This method is called when the "read *.in" button
 *                     is pressed to determine which file should be shown
 *                     in the file requester.
 *
 * Author            : Bernd Oberknapp
 *
 * Copyright (c) 1992  by Universitaet Bonn
 *                        Institut fuer Angewandte Mathematik
 *                        Sonderforschungsbereich 256
 *                        D-53115 Bonn
 */

char *time_curve_get_extension()
{
  TIME_CURVE *self;
  static char *extension = "*.cv";

  self = (TIME_CURVE *)START_METHOD(G_INSTANCE);
  ASSURE(self, "", END_METHOD(NULL));

  /*
   * test if call came from a subclass - subclasses
   * should have their own file extensions
   */
  if(self->class != Time_Curve) {
    fprintf(stderr, "ERROR: method get-extension needed for class %s\n",
	    self->class->name);
    END_METHOD(NULL);
  }

  END_METHOD(extension);
}
